# ChangeLog for sys-kernel/mips-headers
# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/mips-headers/ChangeLog,v 1.39 2008/08/22 20:01:52 cardoe Exp $

  22 Aug 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
  add GLEP 56 USE flag desc from use.local.desc

  22 Feb 2007; Markus Ullmann <jokey@gentoo.org> ChangeLog:
  Redigest for Manifest2

  27 Jul 2006; Joshua Kinard <kumba@gentoo.org>
  -mips-headers-2.6.11-r1.ebuild:
  Removing 2.6.11-r1 ebuild.  2.6.14.4 is current stable.

*mips-headers-2.6.16.16 (21 May 2006)

  21 May 2006; Joshua Kinard <kumba@gentoo.org>
  +mips-headers-2.6.16.16.ebuild:
  Update to 2.6.16.16.

  30 Apr 2006; Joshua Kinard <kumba@gentoo.org>
  mips-headers-2.6.14.4.ebuild:
  Marked stable on mips.

*mips-headers-2.6.14.4 (20 Dec 2005)

  20 Dec 2005; Joshua Kinard <kumba@gentoo.org>
  -files/mipscvs-2.4.22-20030825-makefile-fix.patch,
  -files/bigendian-byteorder-fix.patch, -mips-headers-2.4.21-r3.ebuild,
  -mips-headers-2.4.22-r1.ebuild, -mips-headers-2.4.23.ebuild,
  mips-headers-2.4.28-r1.ebuild, mips-headers-2.6.11-r1.ebuild,
  +mips-headers-2.6.14.4.ebuild:
  Remove old 2.4.{21,22,23} -headers ebuilds, and unmask the known-to-work
  2.4.28 ebuild for embedded uses. Marked 2.6.11-r1 stable, and imported
  2.6.14.4 as new unstable (which fixes n32).

  06 Jul 2005; Joshua Kinard <kumba@gentoo.org> mips-headers-2.6.11-r1.ebuild:
  Add cobalt to IUSE.

*mips-headers-2.6.11-r1 (15 Jun 2005)

  15 Jun 2005; Joshua Kinard <kumba@gentoo.org>
  +mips-headers-2.6.11-r1.ebuild, -mips-headers-2.6.11.ebuild:
  Small tweak to the mips-headers appCompat patch to block off a die() #define
  that kills kbd during compile

  14 May 2005; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r3.ebuild,
  mips-headers-2.4.22-r1.ebuild, mips-headers-2.4.23.ebuild:
  Inherit eutils so epatch actually works.

  19 Apr 2005; Joshua Kinard <kumba@gentoo.org> mips-headers-2.6.11.ebuild:
  Drop PROVIDE, SLOT, and call to tc-arch-kernel.

  26 Mar 2005; Joshua Kinard <kumba@gentoo.org> mips-headers-2.6.11.ebuild:
  We've discovered a rather odd bug in using 'unpack ${A}'. Implemented a
  workaround until the bug can be squished.

*mips-headers-2.6.11 (24 Mar 2005)

  24 Mar 2005; Joshua Kinard <kumba@gentoo.org>
  -files/mips-headers-2.6.10-ip27-build64.patch, -mips-headers-2.6.10.ebuild,
  +mips-headers-2.6.11.ebuild, -mips-headers-2.6.8.1.ebuild:
  Removed all prior 2.6.x headers inplace of 2.6.11, which has so far, worked
  great for o32. n32 testing is still needed. Included also is a mips appCompat
  patch to help things work in o32-land. Lastly, include experimental, 'sekret'
  patch for preliminary mips nptl testing.

*mips-headers-2.6.10 (27 Feb 2005)

  27 Feb 2005; Joshua Kinard <kumba@gentoo.org>
  +files/mips-headers-2.6.10-ip27-build64.patch, mips-headers-2.4.23.ebuild,
  mips-headers-2.4.28-r1.ebuild, +mips-headers-2.6.10.ebuild:
  2.4.28 broke stuff, like procps on Octane & IP28. Will investigate, but
  masking for now. Made 2.4.23 unstable, and added a 2.6.10 ebuild based on
  kernel-2.eclass. Disturbingly enough, glibc will build against 2.6.10 on o32.
  This requires experimentation.

*mips-headers-2.4.28-r1 (24 Feb 2005)

  24 Feb 2005; Joshua Kinard <kumba@gentoo.org>
  +mips-headers-2.4.28-r1.ebuild, -mips-headers-2.4.28.ebuild:
  Forgot to add eutils when using epatch.

*mips-headers-2.4.28 (05 Feb 2005)

  05 Feb 2005; Joshua Kinard <kumba@gentoo.org>
  -files/mips-headers-2.6.0-fb.patch,
  -files/mips-headers-2.6.0-sysctl_h-compat.patch,
  -files/mips-headers-2.6.3-strict-ansi-fix.patch,
  -files/mips-headers-2.6.6-appCompat.patch,
  -files/mips-headers-2.6.6-spaces_h-kernel.patch,
  -files/mips-patches-gcc-makefile-fix.patch, -mips-headers-2.4.21-r1.ebuild,
  -mips-headers-2.4.21-r2.ebuild, mips-headers-2.4.22-r1.ebuild,
  mips-headers-2.4.23.ebuild, -mips-headers-2.4.25.ebuild,
  +mips-headers-2.4.28.ebuild, -mips-headers-2.6.6-r1.ebuild:
  Added an ebuild for 2.4.28 and cleaned out some older versions no longer
  needed.

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> mips-headers-2.6.8.1.ebuild:
  Wrong keyword, move to ~mips.

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> mips-headers-2.6.8.1.ebuild:
  Forgot, 2.6.8.1 needs the 1.7 revision of the cobalt patches, not 1.4.

*mips-headers-2.6.8.1 (01 Oct 2004)

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> +mips-headers-2.6.8.1.ebuild:
  Added ebuild for 2.6.8.1 headers that includes some statfs fixes needed for
  n32 testing.

*mips-headers-2.6.6-r1 (30 Aug 2004)

  30 Aug 2004; Joshua Kinard <kumba@gentoo.org> +mips-headers-2.6.6-r1.ebuild,
  -mips-headers-2.6.6.ebuild:
  Imported changes from linux26-headers, fixes Bug #61884

  07 Jun 2004; Joshua Kinard <kumba@gentoo.org>
  +files/mips-headers-2.6.6-spaces_h-kernel.patch, mips-headers-2.6.6.ebuild:
  Added a patch from iluxa that moves an include of asm/spaces.h in asm/pages.h
  into kernel space so userland programs don't get messed up.

*mips-headers-2.6.6 (05 Jun 2004)

  05 Jun 2004; Joshua Kinard <kumba@gentoo.org>
  +files/mips-headers-2.6.0-fb.patch,
  +files/mips-headers-2.6.0-sysctl_h-compat.patch,
  +files/mips-headers-2.6.3-strict-ansi-fix.patch,
  +files/mips-headers-2.6.6-appCompat.patch, +mips-headers-2.6.6.ebuild:
  Finally created a 2.6.x headers ebuild for mips...

  12 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> mips-headers-2.4.21-r3.ebuild,
  mips-headers-2.4.22-r1.ebuild:
  Add IUSE=

  11 Apr 2004; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.22-r1.ebuild,
  mips-headers-2.4.23.ebuild:
  Moving 2.4.23 back into mask because the defines for PAGE_{SIZE,MASK,SHIFT}
  got moved into kernel space, and this will mean several userland packages will
  need patching. Going to move 2.4.22 into ~mips until then.

*mips-headers-2.4.23 (06 Apr 2004)

  06 Apr 2004; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.22-r1.ebuild,
  mips-headers-2.4.23.ebuild, mips-headers-2.4.25.ebuild:
  Added ebuilds for mips-headers 2.4.23 and 2.4.25, and added some minor tweaks
  to the 2.4.22-r1 ebuild.

  20 Nov 2003; Brandon Low <lostlogic@gentoo.org>
  mips-headers-2.4.21-r1.ebuild, mips-headers-2.4.21-r2.ebuild,
  mips-headers-2.4.21-r3.ebuild, mips-headers-2.4.22-r1.ebuild:
  Move version handling logic to after inherit kernel, or insert it where
  necessary

*mips-headers-2.4.21-r3 (15 Oct 2003)

  16 Nov 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r1.ebuild,
  mips-headers-2.4.21-r2.ebuild, mips-headers-2.4.21-r3.ebuild,
  mips-headers-2.4.22-r1.ebuild:
  Tweaked the value of ${S} and tweaked src_compile() to rename the
  work directory to ${S}

  16 Nov 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r1.ebuild,
  mips-headers-2.4.21-r2.ebuild, mips-headers-2.4.21-r3.ebuild,
  mips-headers-2.4.22-r1.ebuild:
  Changed the order of variables in the ebuild to get around some very weird
  kernel.eclass quirks and added a KV variable as well.

  23 Oct 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r1.ebuild,
  mips-headers-2.4.21-r2.ebuild, mips-headers-2.4.21-r3.ebuild,
  mips-headers-2.4.22-r1.ebuild:
  Change SLOT to 0 from ${OKV}

  15 Oct 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r3.ebuild:
  Newer release is the same as -r2, but adds a section to install asm-mips64
  includes if we detect the profile to be mips64

*mips-headers-2.4.22-r1 (26 Aug 2003)

  21 Sep 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.22-r1.ebuild:
  Removed ~mips from KEYWORDS due to breakage between 2.4.22 headers and
  net-misc/iputils

  15 Sep 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r2.ebuild,
  mips-headers-2.4.22-r1.ebuild:
  Added a fix for Big-Endian arches needed to build certain programs

  10 Sep 2003; Joshua Kinard <kumba@gentoo.org> metadata.xml:
  Added metadata.xml

  26 Aug 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.22-r1.ebuild:
  New Snapshot of linux-mips CVS, dated 20030825 for Linux-headers purposes.

*mips-headers-2.4.21-r2 (04 Aug 2003)

  04 Aug 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r2.ebuild,
  files/mips-patches-gcc-makefile-fix.patch:
  New snapshot of linux-mips CVS from 20030803
  Uses a diff between linux-2.4.21 and mipscvs tree to avoid large tarballs on distfiles-local

*mips-headers-2.4.21-r1 (05 Jul 2003)

  04 Aug 2003; Joshua Kinard <kumba@gentoo.org> mips-headers-2.4.21-r1.ebuild:
  Changed ~mips to mips in KEYWORDS
  Added a PROVIDE and EXTRAVERSION line

  05 Jul 2003; Joshua Kinard <kumba@gentoo.org> :
  ebuild for CVS Snapshot (20030705) of linux-mips.org kernel, tagged linux_2_4
  Removed ebuild for mips-headers-2.4.21_pre4-r1

*mips-headers-2.4.21_pre4-r1 (04 Jul 2003)

  04 Jul 2003; Joshua Kinard <kumba@gentoo.org> :
  Added ebuild for CVS Snapshot (20030703) of linux-mips.org kernel, tagged linux_2_4
  Includes patch to fix r4k cache handling, and patches for fixing
  arch/mips/Makefile depending if the compiler is gcc-3.2 or gcc-3.3


*mips-headers-2.4.21 (23 Mar 2003)

  23 Mar 2003; Zach Welch <zwelch@gentoo.org> mips-headers-2.4.21.ebuild:
  new ebuild per dragon's request; derived from arm-headers

